NAMED-CHECKZONE(1)

NAME
named-checkzone - Zone validity checking tool.

SYNOPSIS
named-checkzone [-dq] [-c class] zone [filename]

DESCRIPTION

named-checkzone is a tool for performing integrity checks on a zones contents. It uses the same integrity checks as named.

The options to named-checkzone are as follows:

-d  enable debugging.

-q  quiet mode - exit code only.

-c class
    specify the class of the zone. If not specified "IN" is assumed.

zone
    the name of the zone being loaded.

[filename]
    the name of the file containing the zone. If not specified it defaults to the zone name.

RETURN VALUES

named-checkzone return a an exit status of 1 if errors were detected, 0 otherwise.

SEE ALSO
named(8), RFC1035.